//////////////////////////    скетч для управления 8 сервоприводами квадропода   /////////////////
#include <Servo.h> //используем библиотеку

Servo myservoK3 ;  //указываем сервопривод заднего левого колена
Servo myservoB4;  //указываем сервопривод  заднего левого бедра
Servo myservoK5 ;  //указываем сервопривод переднего левого колена
Servo myservoB6;  //указываем сервопривод  переднего левого бедра
Servo myservoK7 ;  //указываем сервопривод заднего правого колена
Servo myservoB8;  //указываем сервопривод  заднего правого бедра
Servo myservoK9 ;  //указываем сервопривод переднего правого колена
Servo myservoB10;  //указываем сервопривод переднего правого бедра
int n=500;
int a03=100;int a04=75;int a05=65;int a06=97;int a07=90;int a08=75;int a09=60;int a010=85;//переменные для углов начального положения конечностей
int da=20;//переменная амплитуды изменения угла в градусах
int a3=a03;int a4=a04;int a5=a05;int a6=a06;int a7=a07;int a8=a08;int a9=a09;int a10=a010;// переменные для хранения значений текущих углов
//////при увеличении значения угла сервоприводы движут лапы :B4,B6-вперёд B8,B10-назад K3,K9-вниз K5,K7-вверх ////////
void setup()
{
  
myservoK3.attach(3);//выводы  для подключения 1-8 сервоприводов
myservoB4.attach(4);
myservoK5.attach(5); 
myservoB6.attach(6); 
myservoK7.attach(7);
myservoB8.attach(8);
myservoK9.attach(9); 
myservoB10.attach(10); 

myservoK3.write(a03); delay(n);myservoK3.detach();// начальная установка-настройка углов поворота валов серв
myservoB4.write(a04); delay(n);myservoB4.detach();
myservoK5.write(a05); delay(n);myservoK5.detach();
myservoB6.write(a06); delay(n);myservoB6.detach();
myservoK7.write(a07); delay(n);myservoK7.detach();
myservoB8.write(a08); delay(n);myservoB8.detach();
myservoK9.write(a09); delay(n);myservoK9.detach();
myservoB10.write(a010); delay(n);myservoB10.detach();
}

void loop()
{
 
}


